#ifndef __streamplayer_menu_h__
#define __streamplayer_menu_h__

#include <vdr/osd.h>
#include <vdr/menuitems.h>
#include "streamplayer.h"
#include "compatibility.h"

class cOsdBookmarkItem;

class cStreamplayerMenu : public cOsdMenu {
protected:
	char Url[256];
	cPluginStreamplayer *Plugin;

	void SetUrl(char *url);
	void StartPlay();
public:
	cStreamplayerMenu(cPluginStreamplayer *Plugin);
	virtual eOSState ProcessKey(eKeys Key);

	friend class cOsdBookmarkItem;
};

#endif
